%global pypi_name colorama
%global python3_pkgversion 3.11

Name:           python-%{pypi_name}
Version:        0.4.6
Release:        4%{?dist}
Summary:        Cross-platform colored terminal text

License:        BSD-3-Clause
URL:            https://github.com/tartley/colorama
Source0:        %{url}/archive/%{version}/colorama-%{version}.tar.gz
Patch0:         0001-fix-pyproject-license.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}dist(pytest)
BuildRequires:  python%{python3_pkgversion}-rpm-macros


%description
Makes ANSI escape character sequences, for producing colored
terminal text and cursor positioning, work under MS Windows.

ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on
Windows, too.
It also provides some shortcuts to help generate ANSI sequences, and works fine
in conjunction with any other ANSI sequence generation library, such as
Termcolor.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Cross-platform colored terminal text

%description -n python%{python3_pkgversion}-%{pypi_name}
Makes ANSI escape character sequences, for producing colored
terminal text and cursor positioning, work under MS Windows.

ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on
Windows, too.
It also provides some shortcuts to help generate ANSI sequences, and works fine
in conjunction with any other ANSI sequence generation library, such as
Termcolor.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Upstram uses a pyproject.toml that the version of setuptools in RHEL 9 cannot parse.
# It also depends on hatch for packaging, which is not available in RHEL 9.
tail -n +5 pyproject.toml > pyproject.toml_fixed
mv pyproject.toml_fixed pyproject.toml

%if %{defined el9}
cat << EOF > setup.py
import setuptools
setuptools.setup(
    version="%{version}"
)
EOF

cat << EOF > setup.cfg
[metadata]
name = colorama

[options]
packages=find:
EOF
%endif

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files colorama

%check
%pytest

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.rst README.rst
%license LICENSE.txt

%changelog
* Tue Apr 22 2025 Rafael Barron <rafael.barron@oracle.com> - 0.4.6-4
- Rebuild for python 3.11

* Thu May 09 2024 Major Hayden <major@redhat.com> - 0.4.6-3
- Add gating.yaml

* Thu May 09 2024 Major Hayden <major@redhat.com> - 0.4.6-2
- Remove autorelease from the spec file

* Wed May 1 2024 Major Hayden <major@redhat.com> - 0.4.6-1
- Initial RHEL 9 package.
